Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Policy_Current_Impl Class Reference

`#include <Policy_Manager.h>`

Collaboration diagram for TAO_Policy_Current_Impl:

[legend]
List of all members.

## Public Methods
| TAO_Policy_Current_Impl (void)
CORBA::Policy_ptr | get_policy (CORBA::PolicyType policy, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
| Obtain a single policy.
CORBA::PolicyList* | get_policy_overrides ( const CORBA::PolicyTypeSeq & ts, CORBA::Environment &ACE_TRY_ENV = CORBA::Environment::default_environment () )
void | set_policy_overrides (const CORBA::PolicyList & policies, CORBA::SetOverrideType set_add, CORBA::Environment &ACE_TRY_ENV = CORBA::Environment::default_environment ())
CORBA::Policy_ptr | get_cached_policy (TAO_Cached_Policy_Type type)
| Obtain a single cached policy.
## Private Attributes
TAO_Policy_Set | manager_impl_
| The implementation.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Policy_Current_Impl::TAO_Policy_Current_Impl ( | void )

## Member Function Documentation

ACE_INLINE CORBA::Policy_ptr TAO_Policy_Current_Impl::get_cached_policy ( | TAO_Cached_Policy_Type type )

| Obtain a single cached policy.

ACE_INLINE CORBA::Policy_ptr TAO_Policy_Current_Impl::get_policy ( | CORBA::PolicyType policy,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

| Obtain a single policy.

CORBA::PolicyList * TAO_Policy_Current_Impl::get_policy_overrides ( | const CORBA::PolicyTypeSeq & ts,
| CORBA::Environment & ACE_TRY_ENV = CORBA::Environment::default_environment () )

void TAO_Policy_Current_Impl::set_policy_overrides ( | const CORBA::PolicyList & policies,
| CORBA::SetOverrideType set_add,
| CORBA::Environment & ACE_TRY_ENV = CORBA::Environment::default_environment () )

## Member Data Documentation

TAO_Policy_Set TAO_Policy_Current_Impl::manager_impl_`[private]`

| The implementation.

The documentation for this class was generated from the following files:

- Policy_Manager.h
- Policy_Manager.cpp
- Policy_Manager.i